Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::ModbusSensor Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::ModbusSensor:

## Public Attributes

ModbusCfg::ModbusFunction | function
| Modbus function to be used.
int | regAddr
| Modbus server register address.
Public Attributes inherited from peripheral::GatewaySensorManager::Sensor
string | sensorId
| Unique sensor id, is automatically generated if not set.
boolean | disabled
| Set disabled = true prevents any usage of the specification.
string | deviceId
| remote device id More...
string | classId
| sensor class id More...
string | encodingId
| sensor encoding id More...
string | defaultName
| default sensor name More...

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl